/******************************************************************************
*
* project name:  VTI-Logger
* file name:     LogDemo.c
* initial date:  13/01/2002
* authors:       Hai Pho Truong (novaxius@yahoo.ca)
*                Thomas Nussbaumer (thomas.nussbaumer@gmx.net)
*
* description:   demo application for VTI-Logger
*
* if you want to use VTI-Logger in your own projects just copy vtilog.h
* into your project directory and include it!
*
******************************************************************************/

#define USE_TI89              // Produce .89z File
#define USE_TI92PLUS          // Produce .9xz File

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define SAVE_SCREEN           // Save/Restore LCD Contents
#define NO_EXIT_SUPPORT       // we don't need exit support (smaller executable)

#include <tigcclib.h>         // Include All Header Files


//#define VTILOG_DISABLED     // may be used to turn logging OFF!!

#include "vtilog.h"


//=============================================================================
// simple main which loops and outputs one string every 200 ms to the link port
//=============================================================================
void _main(void) {
    clrscr();
    FontSetSys(F_6x8);
    printf("Sending msg to linkport...\nPress any key to stop.");
    unsigned short i = 0;

    dbg_printsln("VTI-Logger Demo Application");

    do {
        if (i<0x0FFFF) i++;
        else           i=0;

        dbg_printfln("Line %d: This is a message sent over to the link port",i);

        // wait for 200ms
        OSFreeTimer(USER_TIMER);
        OSRegisterTimer(USER_TIMER,4);          // counter change every 50ms
        while (!OSTimerExpired(USER_TIMER) && !kbhit());
    }
    while (!kbhit());

    OSFreeTimer(USER_TIMER);
    ngetchx();
}


//#############################################################################
// Revision History
//#############################################################################
//
// Revision 1.1  2002/02/14  tnussb
// using vtilog.h now
//
// Revision 1.0  2002/02/13  Hai Pho Truong
// initial version
//
//
